JSP v1.1 and Servlet v2.2 API Reference: Class TagSupport

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet.jsp.tagext
Class TagSupport

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport

Direct Known Subclasses:
  BodyTagSupport

public class TagSupport
extends java.lang.Object
implements Tag, java.io.Serializable

Actions in a Tag Library are defined through subclasses of Tag.

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `id`
`protected PageContext` | `pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`TagSupport()` Default constructor, all subclasses are required to only define a public constructor with the same signature, and to call the superclass constructor.

Method Summary
`int` | `doEndTag()` Process the end tag.
`int` | `doStartTag()` Process the start tag for this instance.
`static Tag` | `findAncestorWithClass(Tag from, java.lang.Class klass)` Find the instance of a given class type that is closest to a given instance.
`Tag` | `getParent()` The Tag instance enclosing this tag instance.
`java.lang.String` | `getTagId()` The value of the id attribute of this tag; or null.
`java.lang.Object` | `getValue(java.lang.String k)` Get a value
`java.util.Enumeration` | `getValues()` Enumerate the values
`void` | `release()` release() called after doEndTag() to reset state
`void` | `removeValue(java.lang.String k)` Remove a value
`void` | `setPageContext(PageContext pageContext)` set the page context
`void` | `setParent(Tag t)` Set the nesting tag of this tag.
`void` | `setTagId(java.lang.String id)` Set the id attribute
`void` | `setValue(java.lang.String k, java.lang.Object o)` Set a value

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### id

    protected java.lang.String id

### pageContext

    protected PageContext pageContext

Constructor Detail

### TagSupport

    public TagSupport()

  Default constructor, all subclasses are required to only define a public constructor with the same signature, and to call the superclass constructor. This constructor is called by the code generated by the JSP translator.
  Parameters:
    `libraryPrefix` - The namespace prefix used for this library. For example "jsp:".
    `tagName` - The name of the element or yag, for example "useBean"

Method Detail

### findAncestorWithClass

    public static final Tag findAncestorWithClass(Tag from,
                                                  java.lang.Class klass)

  Find the instance of a given class type that is closest to a given instance. This class is used for coordination among cooperating tags.
  Parameters:
    `the` - subclass of Tag or interface to be matched
  Returns:
    the nearest ancestor that implements the interface or is an instance of the class specified

### doStartTag

    public int doStartTag()
                   throws JspException

  Process the start tag for this instance. The doStartTag() method assumes that all setter methods have been invoked before. When this method is invoked, the body has not yet been invoked.
  Specified by:
    doStartTag in interface Tag
  Tags copied from interface: Tag
  See Also:
    `BodyTag`

### doEndTag

    public int doEndTag()
                 throws JspException

  Process the end tag. This method will be called on all Tag objects. All instance state associated with this instance must be reset.
  Specified by:
    doEndTag in interface Tag

### release

    public void release()

  release() called after doEndTag() to reset state
  Specified by:
    release in interface Tag

### setParent

    public void setParent(Tag t)

  Set the nesting tag of this tag.
  Specified by:
    setParent in interface Tag

### getParent

    public Tag getParent()

  The Tag instance enclosing this tag instance.
  Specified by:
    getParent in interface Tag
  Returns:
    the parent tag instance or null

### setTagId

    public void setTagId(java.lang.String id)

  Set the id attribute

### getTagId

    public java.lang.String getTagId()

  The value of the id attribute of this tag; or null.
  Returns:
    the value of the id attribute, or null

### setPageContext

    public void setPageContext(PageContext pageContext)

  set the page context
  Specified by:
    setPageContext in interface Tag

### setValue

    public void setValue(java.lang.String k,
                         java.lang.Object o)

  Set a value

### getValue

    public java.lang.Object getValue(java.lang.String k)

  Get a value

### removeValue

    public void removeValue(java.lang.String k)

  Remove a value

### getValues

    public java.util.Enumeration getValues()

  Enumerate the values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD